#!/usr/bin/perl -w

#    
$config="/etc/fido/freq/sln_frp.conf";





###############################################################################
### Programm ################################################### do't edit! ###
###############################################################################



### Parse config ##############################################################
open(CONF,"< $config") || die $!;
undef %sql;

while(<CONF>){
$sql{host}=$1	if /^sql_host\s+(\S+)$/i;
$sql{user}=$1	if /^sql_user\s+(\S+)$/i;
$sql{pass}=$1	if /^sql_pass\s+(\S+)$/i;
$sql{db}=$1	if /^sql_db\s+(\S+)$/i;
$sql{log}=$1	if /^sql_tb_log\s+(\S+)$/i;
$sql{la}=$1	if /^tb_log_addr\s+(\S+)$/i;
$sql{ld}=$1	if /^tb_log_date\s+(\S+)$/i;
$sql{ls}=$1	if /^tb_log_size\s+(\S+)$/i;
}

close(CONF);
die "Check SQL sets from config" if keys %sql != 8;



### Connect to MySQL server ###################################################
use DBI;
$dbh=DBI->connect("DBI:mysql:database=$sql{db};host=$sql{host}", $sql{user}, $sql{pass}) || $DBI::errstr;



### Create table ##############################################################
$dbh->do("CREATE TABLE $sql{log}($sql{la} text, $sql{ld} int, $sql{ls} int)") || die $dbh->errstr;



### End #######################################################################
print "Create table for log limit successfully !\n";
